commoble.looot.data

## Class NameList

- java.lang.Object
- - commoble.looot.data.NameList

    public class NameList
    extends java.lang.Object

### Field Summary

Fields
`static com.mojang.serialization.Codec<NameList>` `CODEC`

### Constructor Summary

Constructors
Constructor and Description
`NameList(boolean replace, java.util.List<java.lang.String> values)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `getReplace()`
`java.util.List<java.lang.String>` `getValues()`
`static java.util.List<java.lang.String>` `merge(java.util.List<NameList> raws)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CODEC

    public static final com.mojang.serialization.Codec<NameList> CODEC

### Constructor Detail

#### NameList

    public NameList(boolean replace,
                    java.util.List<java.lang.String> values)

### Method Detail

#### getReplace

    public boolean getReplace()

#### getValues

    public java.util.List<java.lang.String> getValues()

#### merge

    public static java.util.List<java.lang.String> merge(java.util.List<NameList> raws)